### Function

# FwupdPlugin byte_array_from_string

since: 1.9.6

#### Declaration [src]

    GByteArray*
    fu_byte_array_from_string (
      const gchar* str,
      GError** error
    )

#### Description [src]

Converts a lowercase hex string to a byte array.

Available since: 1.9.6

#### Parameters

`str`

  Type: `const gchar*`

  A hex string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

A `GByteArray`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.